import javax.swing.*;
import java.awt.Dimension;
import java.awt.BorderLayout;
import java.util.Date;
import java.util.Calendar;

public class JSpinnerTest15 extends JFrame{

  public static void main(String[] args){
    JSpinnerTest15 frame = new JSpinnerTest15();

    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setBounds(10, 10, 300, 200);
    frame.setTitle("^Cg");
    frame.setVisible(true);
  }

  JSpinnerTest15(){
    Calendar calendar = Calendar.getInstance();
    calendar.set(2007, 3, 1, 12, 0);
    Date initDate = calendar.getTime();

    calendar.set(2007, 2, 1, 12, 0);
    Date startDate = calendar.getTime();

    calendar.set(2007, 4, 1, 12, 0);
    Date endDate = calendar.getTime();

    SpinnerModel model = 
      new SpinnerDateModel(initDate, startDate, endDate, Calendar.HOUR);

    JSpinner spinner = new JSpinner(model);
    spinner.setPreferredSize(new Dimension(150, 25));

    JPanel p = new JPanel();
    p.add(spinner);

    getContentPane().add(p, BorderLayout.CENTER);
  }
}